import { VerticalAnchoredCategorySeries } from "./VerticalAnchoredCategorySeries";
import { IBarSeries } from "./IBarSeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Rect } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { CategoryMode } from "./CategoryMode";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class BarSeries extends VerticalAnchoredCategorySeries implements IBarSeries {
    static $t: Type;
    protected bc(): Series;
    protected get_ec(): boolean;
    protected iq(): number;
    protected get_ez(): boolean;
    protected cd(): SeriesView;
    protected vy(): CategoryTransitionInMode;
    cj(): SeriesVisibleRangeMode;
    o2(a: SeriesView): void;
    y8: BarSeriesView;
    protected get_dv(): boolean;
    tu(a: Point): Rect;
    f5(a: Point, b: boolean): boolean;
    constructor();
    vu(a: CategorySeriesView): CategoryFramePreparer;
    ac(): void;
    y9: number;
    za: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    nk(a: boolean, b: SeriesView): void;
    ws(): number;
    xt(a: CategorySeriesView): number;
    aq(a: Axis): AxisRange;
    fp(a: any): boolean;
    h1(): number;
    w7(a: CategoryFrame, b: CategorySeriesView): void;
    protected np(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected pa(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: BarSeriesView);
    protected i: BarSeriesView;
    g(a: number): void;
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
    private h;
    private j;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare class BarSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    dd: BarSeries;
    constructor(a: BarSeries);
    de: Pool$1<Rectangle>;
    au(): void;
    dl(): Rectangle;
    df: List$1<Rectangle>;
    dg(a: Rectangle): void;
    di(a: Rectangle): void;
    dh(a: Rectangle): void;
    dj(a: Rectangle, b: number, c: number): void;
    cv(): CategoryBucketCalculator;
    protected bh(a: any, b: number): void;
    protected ac(a: number): any;
    private dk;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
